package example.main;

import io.swagger.v3.jaxrs2.integration.JaxrsOpenApiContextBuilder;
import io.swagger.v3.oas.integration.OpenApiConfigurationException;
import io.swagger.v3.oas.integration.SwaggerConfiguration;
import io.swagger.v3.oas.integration.api.OpenApiContext;

import java.util.Collections;

public class Main {

    public static void main(String[] args) {

        SwaggerConfiguration oasConfig = new SwaggerConfiguration()
                .resourcePackages(Collections.singleton("example"))
                .readAllResources(true);

        try {
            OpenApiContext ctx = new JaxrsOpenApiContextBuilder()
                    .openApiConfiguration(oasConfig)
                    .buildContext(true);

            System.out.println(ctx.read());
        } catch (OpenApiConfigurationException e) {
            throw new IllegalStateException("Failed to initialize OpenAPI configuration", e);
        }
    }
}
